# -slp (Set Large Pages mode) switch

Sets Large Pages mode.

#### Syntax

    -slp[-]

Switch | Description
--- | ---
-slp | Enables Large Pages mode.
-slp- | Disables Large Pages mode. This option is default for all commands.

Large Pages mode allows to increase speed of compressing. But 7-Zip can make some pause at starting of compressing for allocating large pages. Also Task Manager doesn't show real memory usage of program, if 7-Zip uses large pages. This feature works only on Windows 2003 / XP x64 / Vista. Also you must have administrator's rights for your system. Recommended size of RAM: 1 GB or more. To install this feature you must run 7-Zip File Manager at least once, close it and reboot system.

#### Example

    7z a archive.7z -slp a.iso

compresses a.iso file with Large Pages mode switched on.